#!/bin/bash
#

# Set up CPD cluster NFS mount points

[ -d /home    ] || mkdir /home
[ -d /home2   ] || mkdir /home2

[ -d /fnal/ups ] || mkdir -p /fnal/ups

[ -d /scratch        ] || mkdir /scratch
[ -d /scratch/btev01 ] || mkdir /scratch/btev01
[ -d /prj            ] || mkdir /prj
[ -d /prj/btev01     ] || mkdir /prj/btev01


# edit fstab
if [ `grep btevsrv2.fnal.gov:/home /etc/fstab | wc -l` -eq 0 ]
then
  echo 'btevsrv2.fnal.gov:/home  /home  nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
  echo 'btevsrv2.fnal.gov:/home2 /home2 nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
fi

if [ `grep btevsrv2.fnal.gov:/fnal/ups /etc/fstab | wc -l` -eq 0 ]
then
  echo 'btevsrv2.fnal.gov:/fnal/ups /fnal/ups nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
fi

if [ `grep btevsrv2.fnal.gov:/scratch/btev01 /etc/fstab | wc -l` -eq 0 ]
then
  echo 'btevsrv2.fnal.gov:/scratch/btev01  /scratch/btev01 nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
fi

if [ `grep btevsrv2.fnal.gov:/prj/btev01 /etc/fstab | wc -l` -eq 0 ]
then
  echo 'btevsrv2.fnal.gov:/prj/btev01  /prj/btev01 nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
fi

# make sure shells are present
[ -d /usr/local/bin ] || mkdir /usr/local/bin
[ -L /usr/local/bin/bash ] || ln -s /bin/bash /usr/local/bin/bash
[ -L /usr/local/bin/tcsh ] || ln -s /bin/tcsh /usr/local/bin/tcsh

if [ `grep /usr/local/bin/bash /etc/shells | wc -l` -eq 0 ]
then
  echo '/usr/local/bin/bash' >> /etc/shells
  echo '/usr/local/bin/tcsh' >> /etc/shells
fi

# establish ups
mount /fnal/ups
if [ -f "/fnal/ups/etc/setups.sh" ]
then
  . "/fnal/ups/etc/setups.sh"
  # start ups at boot time
  if [ ! -f /etc/rc.d/init.d/ups ] 
  then
     cp $UPS_DIR/init.d/ups /etc/rc.d/init.d/ups
     /etc/rc.d/init.d/ups config
  fi
fi

#  send mail to fnsimu-admin
if [ `grep root: /etc/aliases | grep -v \# | wc -l` -eq 0 ]
then
  echo 'root: fnsimu-admin@fnal.gov' >> /etc/aliases
  /usr/bin/newaliases
fi

# create .k5login for root
if [ ! -f "/root/.k5login" ]
then
    echo "garren@FNAL.GOV" > /root/.k5login
    echo "ettab@FNAL.GOV" >> /root/.k5login
    echo "timm@FNAL.GOV" >> /root/.k5login
    echo "shepelak@FNAL.GOV" >> /root/.k5login
    echo "stan@FNAL.GOV" >> /root/.k5login
    echo "timm@FNAL.GOV" >> /root/.k5login
    echo "mgreaney@FNAL.GOV" >> /root/.k5login
    echo "merina@FNAL.GOV" >> /root/.k5login
    echo "kschu@FNAL.GOV" >> /root/.k5login
    echo "jlkaiser@FNAL.GOV" >> /root/.k5login
    echo "vanconant@FNAL.GOV" >> /root/.k5login
    echo "lisa@FNAL.GOV" >> /root/.k5login
    echo "joes@FNAL.GOV" >> /root/.k5login
fi
